## Description of your pull request

**Replace this placeholder text with a summary of the changes in your PR.
The more detailed you are, the better.**

## Why should it be considered?

Please explain why you think that this change should be considered.

Why am I asking this?

If it's a new feature, I will be left to maintain it after it gets
merged in to the project. So I'm keen to know why I'll be taking on
the future maintenance of it.

## Pull request checklist

Before submitting the PR make sure the following things have been done
(and denote this by checking the relevant checkboxes):

- [ ] The code is consistent with [Clojure style guide](https://github.com/bbatsov/clojure-style-guide#the-clojure-style-guide).
- [ ] All code passes the linter (`clj-kondo --lint src`).
- [ ] You've added tests (if possible) to cover your change(s).
- [ ] All tests are passing.
- [ ] The commits are consistent with [the Git commit style guide](https://chris.beams.io/posts/git-commit/).
- [ ] You've updated the [changelog](../blob/master/CHANGELOG.md) (if adding/changing user-visible functionality).


Thanks!
